View Issue Details

IDProjectCategoryView StatusLast Update
0026062mantisbtfilterspublic2019-12-09 04:32
Reportercproensa Assigned Tocproensa  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.22.0 
Target Version2.23.0Fixed in Version2.23.0 
Summary0026062: Filter for a date custom field fails when no values for this field exists
Description

When a custom field of type date is used in the filter dialog, and there are no values, for any issue, for this custom field, the filter shows an error and don't populate the date picker.

errors here:
'count(): Parameter must be an array or an object that implements Countable' in ' ... /core/filter_form_api.php' line 2126
https://github.com/mantisbt/mantisbt/blob/release-2.21.0/core/filter_form_api.php#L2126

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master d722a833

2019-08-25 02:08:33

cproensa


Committer: dregad Details Diff
Fix filter for date custom field

When a custom field of type date is used in the filter dialog, and there
are no values, for any issue, for this custom field, the filter shows an
error and don't populate the date picker.

Fixes: 0026062
Affected Issues
0026062
mod - core/filter_form_api.php Diff File

Issue History

Date Modified Username Field Change
2019-08-22 07:56 cproensa New Issue
2019-08-25 02:20 cproensa Note Added: 0062643
2019-08-25 02:20 cproensa Assigned To => cproensa
2019-08-25 02:20 cproensa Status new => assigned
2019-09-03 11:45 dregad Changeset attached => MantisBT master d722a833
2019-09-03 11:45 cproensa Status assigned => resolved
2019-09-03 11:45 cproensa Resolution open => fixed
2019-09-03 11:45 cproensa Fixed in Version => 2.23.0
2019-09-03 16:03 atrol Target Version => 2.23.0
2019-12-09 04:32 vboctor Status resolved => closed